Package Details: imagemagick-fftw 7.1.0.33-1

Git Clone URL: https://aur.archlinux.org/imagemagick-fftw.git (read-only, click to copy)
Package Base: imagemagick-fftw
Description: An image viewing/manipulation program
Upstream URL: https://www.imagemagick.org/
Licenses: custom
Conflicts: imagemagick, imagemagick6
Provides: imagemagick, libmagick, libmagick-fftw
Replaces: libmagick-fftw
Submitter: m.sasso
Maintainer: heavysquare
Last Packager: heavysquare
Votes: 9
Popularity: 0.008088
First Submitted: 2010-04-22 12:28 (UTC)
Last Updated: 2022-05-14 21:42 (UTC)

Required by (1063)

Sources (3)

Latest Comments

heavysquare commented on 2022-05-14 21:43 (UTC)

Huh.. It took a while, but I finally did. Thanks.

lilydjwg commented on 2021-09-19 15:02 (UTC)

@heavysquare I no longer use this package and I've dropped it. You may pick it up if you wish.

lilydjwg commented on 2020-02-23 05:14 (UTC)

@gnaggnoyil: this seems to be a bug in openexr 2.4.1-1, which has a /usr/lib/pkgconfig/OpenEXR.pc specifying "OpenEXR_includedir=include/OpenEXR", missing the "${prefix}" variable as with openexr 2.4.0-7.

gnaggnoyil commented on 2020-02-22 19:02 (UTC) (edited on 2020-02-22 19:03 (UTC) by gnaggnoyil)

Running makepkg gave the following error as of today:

coders/exr.c:63:10: fatal error: ImfCRgbaFile.h: No such file or directory
   63 | #include <ImfCRgbaFile.h>
      |          ^~~~~~~~~~~~~~~~
compilation terminated.
make[1]: *** [Makefile:10318: coders/exr_la-exr.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory '/home/imagemagick-fftw/src/ImageMagick-7.0.9-25'
make: *** [Makefile:5988: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
Error making: imagemagick-fftw

Tested on two Arch machines and the result is the same. Please fix.

lilydjwg commented on 2017-04-11 00:52 (UTC)

The PKGBUILD uses some bash tricks pacaur doesn't parse well. I don't know. It was here when I first needed it. Maybe you can ask in some mailing list, or file an issue?

JonnyRobbie commented on 2017-04-10 21:30 (UTC)

1) pacaur throws: :: no results found for perl< makepkg alone seems to work somehow 2) Is there any reason why this patch is not directly in the official repos, but relegated to aur? The official documentation for IM reads like it should be there?

lilydjwg commented on 2017-03-15 10:42 (UTC)

"with fftw support"? This should be obvious from the package name, especially for people looking for it. I don't know what fftw support can do. Users may consult the imagemagick documentation.

smls commented on 2017-03-15 08:28 (UTC)

The Description should mention how this differs from the normal imagemagick package.

lilydjwg commented on 2015-10-11 14:25 (UTC)

If it only generates deprecated warnings, I prefer leave it there, because this is what the offical "imagemagick" package uses. Less differences will make it easier to keep up-to-update.

YamashitaRen commented on 2015-10-11 13:37 (UTC)

Hello, could your remove the "$EXTRAOPTS" configure option ? Here it results in deprecated warnings : "-mtune=x86-64 is deprecated; use -mtune=k8 or -mtune=generic instead as appropriate [-Wdeprecated]" Moreover, it seems that C/CXXFLAGS declared in makepkg.conf are passed just fine : http://pastebin.archlinux.fr/1650974

commented on 2015-02-07 04:26 (UTC)

Outdated pkgver=6.9.0.4 md5sums=('89e278be06d8eb8e8bd6be2c8a13ab2b'                     'ff9974decbfe9846f8e347239d87e4eb') sha1sums=('5a45acbdb3b2b46151ad0689a9903940773215ea'                     '23405f80904b1de94ebd7bd6fe2a332471b8c283')

commented on 2015-02-07 04:25 (UTC)

Outdated pkgver=6.9.0.4 md5sums=('89e278be06d8eb8e8bd6be2c8a13ab2b'                    'ff9974decbfe9846f8e347239d87e4eb') sha1sums=('5a45acbdb3b2b46151ad0689a9903940773215ea'                     '23405f80904b1de94ebd7bd6fe2a332471b8c283')

commented on 2015-02-07 04:25 (UTC)

Outdated pkgver=6.9.0.4 md5sums=('89e278be06d8eb8e8bd6be2c8a13ab2b'                   'ff9974decbfe9846f8e347239d87e4eb') sha1sums=('5a45acbdb3b2b46151ad0689a9903940773215ea'                     '23405f80904b1de94ebd7bd6fe2a332471b8c283')

commented on 2015-02-07 04:25 (UTC)

Outdated pkgver=6.9.0.4 md5sums=('89e278be06d8eb8e8bd6be2c8a13ab2b'          'ff9974decbfe9846f8e347239d87e4eb') sha1sums=('5a45acbdb3b2b46151ad0689a9903940773215ea'           '23405f80904b1de94ebd7bd6fe2a332471b8c283')

commented on 2015-02-07 04:24 (UTC)

Outdated pkgver=6.9.0.4 md5sums=('89e278be06d8eb8e8bd6be2c8a13ab2b' 'ff9974decbfe9846f8e347239d87e4eb') sha1sums=('5a45acbdb3b2b46151ad0689a9903940773215ea' '23405f80904b1de94ebd7bd6fe2a332471b8c283')

infoised commented on 2012-01-16 18:01 (UTC)

The ftp link is broken, but you can use the ftp://ftp.imagemagick.org/pub/ImageMagick/legacy/ImageMagick-6.6.9-10.tar.xz file. This should be updated. I also vote for this to get into the main repository. Shipping an incomplete toolkit breaks user scripts that use the optional features which kills compatibility between installations.